@media (min-width: 0) {
  :host {
    width: 100%;
    box-sizing: border-box;
    flex-wrap: wrap;
    overflow: scroll;
    height: calc(100vh - 44px);
    padding: 0;
  }

  fd-layout-panel {
    width: 100%;
  }
}


.spinner-container {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 24px;
  background-color: var(--fd-color-background-2); //TODO
}

.action-button {
  transition: all 0.2s ease-in-out;
  margin-left: 24px;
  display: inline-block;
  cursor: pointer;
  color: var(--fd-color-action-1); //TODO

  &:hover {
    transform: scale(1.25);
  }
}

.cdk-drag-preview {
  background-color: #f2f2f2;
  background-color: var(--sapList_HeaderBackground);
  box-sizing: border-box;
  border-radius: 4px;
  color: #32363a;
  color: var(--sapList_HeaderTextColor);
  box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2),
    0 8px 10px 1px rgba(0, 0, 0, 0.14), 0 3px 14px 2px rgba(0, 0, 0, 0.12);
}

@media screen and (max-width: 600px) {
  .action-button {
    margin-left: 8px;
  }
}

table {
  border: none;
  tr.cdk-row.cdk-drag {
    > :first-child {
      padding-left: 1rem;
      padding-right: 0.5rem;
    }

    > :not(:first-child) {
      padding-left: 0.5rem;
      padding-right: 0.5rem;
    }

    background-color: #ffffff;
    background-color: var(--sapList_Background);
    color: #32363a;
    color: var(--sapList_TextColor);
    &:hover {
      background-color: #f5f5f5;
      background-color: var(--sapList_Hover_Background);
    }

    &:active {
      color: #ffffff;
      color: var(--sapList_Active_TextColor);
      background-color: #0854a0;
      background-color: var(--sapList_Active_Background);

      .fd-button.fd-button--transparent {
        color: #ffffff;
        color: var(--sapList_Active_TextColor);
      }
    }
    .is-selected {
      background-color: #e5f0fa;
      background-color: var(--sapList_SelectionBackgroundColor);
      border-color: #0854a0;
      border-color: var(--sapList_SelectionBorderColor);

      &:hover {
        background-color: #d8e9f8;
        background-color: var(--sapList_Hover_SelectionBackground);
      }
    }
  }

  .cdk-header-row {
    background-color: #f2f2f2;
    background-color: var(--sapList_HeaderBackground);
    color: #32363a;
    color: var(--sapList_HeaderTextColor);
    border-bottom: solid 1px #e5e5e5;
    border-bottom: solid 1px var(--sapList_BorderColor);
    height: 2.75rem;

    :hover {
      cursor: [pointer];
    }

    > :first-child {
      padding-left: 1rem;
      padding-right: 0.5rem;
    }

    > :not(:first-child) {
      padding-left: 0.5rem;
      padding-right: 0.5rem;
    }
  }
}

.cdk-row {
  &.cdk-drag {
    height: 50px;
    &.cdk-drag-preview {
      height: 100%;
      display: flex;
      justify-content: space-around;
      align-items: center;
      :first-child {
        padding-left: 1rem;
      }

      :not(:first-child) {
        padding-left: 0.5rem;
      }

      td {
        font-weight: lighter;
        font-size: 14px;
        font-family: "72", sans-serif;
      }
    }
  }
}

.cdk-header-row {
  text-align: left;
}

.fd-multi-input {
  margin-bottom: 0.5rem;
}

.fd-table__footer {
  display: block;
  margin-top: 1rem;
  background-color: #ffffff;
}
